Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.japisoft.dtdparser
Interface XMLValidator

All Known Implementing Classes:
  RootDTDNode

public interface XMLValidator

Interface for validating XML content

Version:
  1.0
Author:
  (c) 2002-2003 JAPISOFT
See Also:
  `RootDTDNode`

Method Summary
`boolean` | `isAttributeValid(java.lang.String nodeName, java.lang.String attributeName)` Check if the nodeName supports this attribute
`boolean` | `isAttributeValid(java.lang.String nodeName, java.lang.String attributeName, java.lang.String attributeValue)` Check if the nodeName supports this attribute name and value
`boolean` | `isEntityValid(java.lang.String entityName)` Check if the entity name is declared ?
`boolean` | `isNodeValid(java.lang.String nodeParentName, java.lang.String previousNodeName, java.lang.String nodeName, int occurence)` Check if the nodeParent can have the nodeName as child after the 'previousNodeName', occurence is for the node count

Method Detail

### isNodeValid

    public boolean isNodeValid(java.lang.String nodeParentName,
                               java.lang.String previousNodeName,
                               java.lang.String nodeName,
                               int occurence)

  Check if the nodeParent can have the nodeName as child after the 'previousNodeName', occurence is for the node count

### isEntityValid

    public boolean isEntityValid(java.lang.String entityName)

  Check if the entity name is declared ?

### isAttributeValid

    public boolean isAttributeValid(java.lang.String nodeName,
                                    java.lang.String attributeName)

  Check if the nodeName supports this attribute

### isAttributeValid

    public boolean isAttributeValid(java.lang.String nodeName,
                                    java.lang.String attributeName,
                                    java.lang.String attributeValue)

  Check if the nodeName supports this attribute name and value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD